> For the complete documentation index, see [llms.txt](https://docs.digitalturbine.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalturbine.com/dt-ignite/sdk-reference/launch-app-after-installation.md).

# Launch App After Installation

To launch an app after installation is complete, use the `performAction()` method:

{% code title="Kotlin" %}

```kotlin
fun performAction(
    packageName: String,
    actionType: String,
    metadata: Bundle = Bundle(),
    callback: IResponseCallback<PerformActionResponse, Error, Progress>? = null
)
```

{% endcode %}

| PARAMETER     | STATUS   | TYPE      | DESCRIPTION                                                                                                                                                                                                                       |
| ------------- | -------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `packageName` | Required | String    | Package name of the application you want to open.                                                                                                                                                                                 |
| `actionType`  | Required | String    | <p>Type of action to be performed on the packageName. The SDK supports only opening the app. To open an app, use the following format:<br><code>IgniteActions.LAUNCH.name</code></p>                                              |
| `metadata`    | Optional | Bundle    | Metadata for additional processing.                                                                                                                                                                                               |
| `callback`    | Optional | Interface | <p>The DTIS SDK provides the <code>IResponseCallback</code> interface for you to receive asynchronous status updates.</p><p>If you do not wish to receive task status notifications via callback, set this parameter to null.</p> |

### Example <a href="#h_01k20qhtwnrk5x72xrhht2yx7p" id="h_01k20qhtwnrk5x72xrhht2yx7p"></a>

{% code title="Kotlin" %}

```kotlin
// Initialization

// ...

IgniteServiceSdk.instance().performAction(packageName, IgniteActions.LAUNCH.name, Bundle(), object : IResponseCallback<PerformActionResponse, Error, Progress> {
        override fun onSuccess(result: PerformActionResponse) {
            Log.d(TAG, "Perform Action CallBack Success ${result.application.packageName}")
        }

        override fun onError(error: Error) {
            Log.e(TAG, "Perform Action CallBack Error: ${error.message}")
        }
    })
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digitalturbine.com/dt-ignite/sdk-reference/launch-app-after-installation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
